dnl usage: AC_LIB_PCAP(pcapdependencies, includes)
AC_DEFUN(AC_LIB_PCAP,
    [AC_MSG_CHECKING(for local pcap library)
    libpcap=FAIL
    lastdir=FAIL
    places=`ls .. | sed -e 's,/$,,' -e 's,^,../,' | \
        egrep '/libpcap-[[0-9]]*\.[[0-9]]*(\.[[0-9]]*)?([[ab]][[0-9]]*)?$'`
    for dir in $places ../libpcap libpcap;
    do
	basedir=`echo $dir | sed -e 's/[[ab]][[0-9]]*$//'`
	if test $lastdir = $basedir;
	then
	    dnl skip alphas when an actual release is present
	    continue;
	fi
	lastdir=$dir
	if test -r $dir/pcap.c;
	then
	    libpcap=$dir/libpcap.a
	    d=$dir
	    dnl continue and select the last one that exists
	fi
    done
    if test $libpcap = FAIL;
    then
	AC_MSG_RESULT(not found)
	AC_CHECK_LIB(pcap, main, libpcap="-lpcap")
	if test $libpcap = FAIL;
	then
	    AC_MSG_ERROR(see the INSTALL doc for more info)
	fi
	places="/usr/lib /usr/local/lib /opt/lib"
	dnl we might have a shared library, find a static one
	for dir in $places;
	do
	    if test -r $dir/libpcap.a ; then
		SLIBS="$dir/libpcap.a $SLIBS"
	    fi
	done
    else
	$1=$libpcap
	$2="-I$d $$2"
	AC_MSG_RESULT($libpcap)
    fi
    LIBS="$libpcap $LIBS"])

